Subject: Emacs confusion with file locking after hostname change

From: "Ulrich Windl" <[email-masked]>
Date: Wed, 06 Feb 2019 23:21:51 +0100

Hi!

In Emacs 25.3.1 I had the problem that Emacs refuses to save a modified buffer after plugging in the network cable: The hostname changed through DHCP, and now Emacs says the file is locked by another user with some PID. However that PID is the only Emacs PID on the system, and it's Emacs' own PID!
I suspect that Emacs gets the hostname once during startup, and never checks it again. (I could not find a match using "C-h a hostname")

Regards,
Ulrich Windl